Public Attributes | List of all members
_ll_qspi_memorymapped_write_init_t Struct Reference
Peripheral Driver » LL Driver » QSPI » Structures » QSPI Exported init structure

`#include <gr55xx_ll_qspi.h>`

## Public Attributes
uint32_t | x_wr_instruction_size
| Specifies instruction size in memorymapped(xip) write mode. More...
uint32_t | x_wr_instruction
| Specifies instruction in memorymapped(xip) write mode. More...
uint32_t | x_wr_address_size
| Specifies instruction size in memorymapped(xip) write mode. More...
uint32_t | x_wr_inst_addr_transfer_format
| Specifies xfer format of inst & addr in memorymapped(xip) write mode. More...
uint32_t | x_wr_dummy_cycles
| Specifies wait(dummy) cycles in memorymapped(xip) write mode. More...
uint32_t | x_wr_data_frame_format
| Specifies enhanced spi's frame format in memorymapped(xip) write mode. More...

## Detailed Description

Definition at line 206 of file gr55xx_ll_qspi.h.

## Member Data Documentation

## ◆ x_wr_address_size

uint32_t _ll_qspi_memorymapped_write_init_t::x_wr_address_size

Specifies instruction size in memorymapped(xip) write mode.

This parameter can be a value of Address Size For Xip.

Definition at line 218 of file gr55xx_ll_qspi.h.

## ◆ x_wr_data_frame_format

uint32_t _ll_qspi_memorymapped_write_init_t::x_wr_data_frame_format

Specifies enhanced spi's frame format in memorymapped(xip) write mode.

This parameter can be a value of Frame Format For Xip

Definition at line 230 of file gr55xx_ll_qspi.h.

## ◆ x_wr_dummy_cycles

uint32_t _ll_qspi_memorymapped_write_init_t::x_wr_dummy_cycles

Specifies wait(dummy) cycles in memorymapped(xip) write mode.

value range [0 ~ 31]

Definition at line 226 of file gr55xx_ll_qspi.h.

## ◆ x_wr_inst_addr_transfer_format

uint32_t _ll_qspi_memorymapped_write_init_t::x_wr_inst_addr_transfer_format

Specifies xfer format of inst & addr in memorymapped(xip) write mode.

This parameter can be a value of Instruction And Address For Xip.

Definition at line 222 of file gr55xx_ll_qspi.h.

## ◆ x_wr_instruction

uint32_t _ll_qspi_memorymapped_write_init_t::x_wr_instruction

Specifies instruction in memorymapped(xip) write mode.

Definition at line 216 of file gr55xx_ll_qspi.h.

## ◆ x_wr_instruction_size

uint32_t _ll_qspi_memorymapped_write_init_t::x_wr_instruction_size

Specifies instruction size in memorymapped(xip) write mode.

This parameter can be a value of Instruction Size For Xip.

Definition at line 212 of file gr55xx_ll_qspi.h.

The documentation for this struct was generated from the following file:

- gr55xx_ll_qspi.h